org.eclipse.emf.spi.cdo

## Class CDOSessionProtocol.RefreshSessionResult

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionProtocol.RefreshSessionResult

- Enclosing interface:
    CDOSessionProtocol

      public static final class CDOSessionProtocol.RefreshSessionResult
      extends Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CDOSessionProtocol.RefreshSessionResult.Provider` If the meaning of this type isn't clear, there really should be more of a description here...

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefreshSessionResult(long lastUpdateTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChangedObject(InternalCDORevision revision)`
    `void` | `addDetachedObject(CDORevisionKey revision)`
    `void` | `addPackageUnit(CDOPackageUnit packageUnit)`
    `List<InternalCDORevision>` | `getChangedObjects(CDOBranch branch)`
    `List<CDOIDAndVersion>` | `getDetachedObjects(CDOBranch branch)`
    `long` | `getLastUpdateTime()`
    `List<CDOPackageUnit>` | `getPackageUnits()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RefreshSessionResult

          public RefreshSessionResult(long lastUpdateTime)

  - ### Method Detail

    - #### getLastUpdateTime

          public long getLastUpdateTime()

    - #### getPackageUnits

          public List<CDOPackageUnit> getPackageUnits()

    - #### getChangedObjects

          public List<InternalCDORevision> getChangedObjects(CDOBranch branch)

    - #### getDetachedObjects

          public List<CDOIDAndVersion> getDetachedObjects(CDOBranch branch)

    - #### addPackageUnit

          public void addPackageUnit(CDOPackageUnit packageUnit)

    - #### addChangedObject

          public void addChangedObject(InternalCDORevision revision)

    - #### addDetachedObject

          public void addDetachedObject(CDORevisionKey revision)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html